class Role {
  final int? id;
  final String designation;

  Role({this.id, required this.designation});

  Map<String, dynamic> toMap() {
    return {
      'id': id,
      'designation': designation,
    };
  }

  factory Role.fromMap(Map<String, dynamic> map) {
    return Role(
      id: map['id'],
      designation: map['designation'],
    );
  }
}
